<?php
/**
 * The template part for displaying services
 *
 * @package perfect-blogging
 * @subpackage perfect-blogging
 * @since perfect-blogging 1.0
 */
?>
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?>
<div class="main-cat-box mb-5">  
  <div class="row">
    <?php if(has_post_thumbnail()) { ?>
      <div class="box-image col-md-6">
        <?php the_post_thumbnail(); ?>
      </div>
    <?php } ?>
    <div class="overlay <?php if(has_post_thumbnail()) { ?>col-md-6"<?php } else { ?>col-md-12"<?php } ?>>
      <h2><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
      <?php if( get_theme_mod( 'perfect_blog_author_hide',true) != '' || get_theme_mod( 'perfect_blog_date_hide',true) != '' || get_theme_mod( 'perfect_blog_comment_hide',true) != '') { ?>
      <div class="metabox p-1 mb-1">
        <?php if( get_theme_mod( 'perfect_blog_author_hide',true) != '') { ?>
          <span class="entry-author ms-0"><i class="fas fa-user"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_author(); ?></span></a></span><?php echo esc_html( get_theme_mod('perfect_blog_metabox_separator_blog_post') ); ?>
        <?php } ?>
        <?php if( get_theme_mod( 'perfect_blog_date_hide',true) != '') { ?>
          <span class="entry-date"><i class="fas fa-calendar-alt"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span><?php echo esc_html( get_theme_mod('perfect_blog_metabox_separator_blog_post') ); ?>     
        <?php } ?>
        <?php if( get_theme_mod( 'perfect_blog_comment_hide',true) != '') { ?>
          <span class="entry-comments"><i class="fas fa-comments"></i> <?php comments_number( __('0 Comment', 'perfect-blogging'), __('0 Comments', 'perfect-blogging'), __('% Comments', 'perfect-blogging') ); ?></span>
        <?php } ?>
        <?php if( get_theme_mod( 'perfect_blog_time_hide',false) != '') { ?>
          <span class="entry-time"><i class="fas fa-clock"></i> <?php echo esc_html( get_the_time() ); ?></span>
        <?php }?>
      </div>
      <?php } ?>
      <?php if(get_theme_mod('perfect_blog_blog_post_description_option') == 'Full Content'){ ?>
        <div class="entry-content"><p><?php the_content();?></p></div>
      <?php }
      if(get_theme_mod('perfect_blog_blog_post_description_option', 'Excerpt Content') == 'Excerpt Content'){ ?>
        <?php if(get_the_excerpt()) { ?>
          <div class="entry-content"><p><?php $excerpt = get_the_excerpt(); echo esc_html( perfect_blog_string_limit_words( $excerpt, esc_attr(get_theme_mod('perfect_blog_excerpt_number','20')))); ?><?php echo esc_html( get_theme_mod('perfect_blog_post_suffix_option','...') ); ?></p></div>
        <?php }?>
      <?php }?> 
      <div class="read-comp">
        <a href="<?php echo esc_url( get_permalink() );?>"><?php echo esc_html(get_theme_mod('perfect_blog_button_text','READ COMPLETE POST'));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('perfect_blog_button_text','READ COMPLETE POST'));?></span><span class="more"><i class="fas fa-long-arrow-alt-right"></i></span></a>
      </div>
    </div>
  </div>
</div>