<?php
/**
 * Perfect Blogging : Block Patterns
 *
 * @package  Perfect Blogging 
 * @since   1.0.0
 */
/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'perfect-blogging',
		array( 'label' => __( ' Perfect Blogging ', 'perfect-blogging' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'perfect-blogging/banner-section',
		array(
			'title'      => __( 'Banner Section', 'perfect-blogging' ),
			'categories' => array( 'perfect-blogging' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . get_theme_file_uri() . "/theme-block-pattern/images/banner.png\",\"id\":661,\"dimRatio\":30,\"overlayColor\":\"black\",\"minHeight\":600,\"isDark\":false,\"align\":\"full\",\"className\":\"perfect-banner-section\"} -->\n<div class=\"wp-block-cover alignfull is-light perfect-banner-section\" style=\"min-height:600px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-661\" alt=\"\" src=\"" . get_theme_file_uri() . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10.5%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10.5%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"42%\",\"className\":\"perfect-banner-content\"} -->\n<div class=\"wp-block-column perfect-banner-content\" style=\"flex-basis:42%\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"32px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-white-color has-text-color\" style=\"font-size:32px;font-style:normal;font-weight:700\">LOREM IPSUM DOLOR SIT AMET</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"color\":{\"background\":\"#00000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"className\":\"banner-btn\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-btn\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"background-color:#00000000\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'perfect-blogging/service-section',
		array(
			'title'      => __( 'Posts Section', 'perfect-blogging' ),
			'categories' => array( 'perfect-blogging' ),
			'content'    => "<!-- wp:columns {\"align\":\"full\",\"className\":\"blog-section mt-lg-5 pt-lg-3 mx-lg-2 mx-md-0 mt-md-4 mt-4\"} -->\n<div class=\"wp-block-columns alignfull blog-section mt-lg-5 pt-lg-3 mx-lg-2 mx-md-0 mt-md-4 mt-4\"><!-- wp:column {\"width\":\"66.66%\",\"className\":\"blog-box-1 mx-2\"} -->\n<div class=\"wp-block-column blog-box-1 mx-2\" style=\"flex-basis:66.66%\"><!-- wp:columns {\"className\":\"blog-box-1\"} -->\n<div class=\"wp-block-columns blog-box-1\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":667,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . get_theme_file_uri() . "/theme-block-pattern/images/post.png\" alt=\"\" class=\"wp-image-667\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<h4 style=\"font-size:24px;font-style:normal;font-weight:600\">Lorem ipsum dolor sit amet  consectetur adipiscing  sit amet</h4>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"blog-box mb-1\"} -->\n<div class=\"wp-block-columns blog-box mb-1\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#74767d\"}},\"className\":\"root mb-0\"} -->\n<p class=\"root mb-0 has-text-color\" style=\"color:#74767d\">root</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"post-box\"} -->\n<div class=\"wp-block-column post-box\"><!-- wp:post-date {\"style\":{\"color\":{\"text\":\"#74767d\"}},\"className\":\"date\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"post-box-3\"} -->\n<div class=\"wp-block-column post-box-3\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#74767d\"}},\"className\":\"comment mb-0\"} -->\n<p class=\"comment mb-0 has-text-color\" style=\"color:#74767d\">Comment</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#74767d\"}}} -->\n<p class=\"has-text-color\" style=\"color:#74767d;font-size:15px\"><strong>Lorem Ipsum</strong>&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#3f424e\",\"background\":\"#00000000\"},\"typography\":{\"fontSize\":\"14px\"}},\"className\":\"blog-btn\"} -->\n<div class=\"wp-block-button has-custom-font-size blog-btn\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"background-color:#00000000;color:#3f424e\">Read Complete Post</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.33%\",\"className\":\"mx-2\"} -->\n<div class=\"wp-block-column mx-2\" style=\"flex-basis:33.33%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"21px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#3f424e\"}}} -->\n<h3 class=\"has-text-color\" style=\"color:#3f424e;font-size:21px;font-style:normal;font-weight:700\">SEARCH</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"className\":\"search-box-1\"} -->\n<p class=\"search-box-1\">Search</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"search-box-2\"} -->\n<p class=\"has-text-align-center search-box-2\">Search</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"className\":\"insta-box mt-2 mt-md-2 mt-lg-4\"} -->\n<div class=\"wp-block-group insta-box mt-2 mt-md-2 mt-lg-4\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"},\"color\":{\"text\":\"#3f424e\"}}} -->\n<h3 class=\"has-text-color\" style=\"color:#3f424e;font-size:22px;font-style:normal;font-weight:700\">INSTAGRAM</h3>\n<!-- /wp:heading -->\n\n<!-- wp:gallery {\"linkTo\":\"none\",\"className\":\"mt-3\"} -->\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped mt-3\"><!-- wp:image {\"id\":79,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"" . get_theme_file_uri() . "/theme-block-pattern/images/ig1.png\" alt=\"\" class=\"wp-image-79\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":80,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"" . get_theme_file_uri() . "/theme-block-pattern/images/ig2.png\" alt=\"\" class=\"wp-image-80\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"id\":81,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"" . get_theme_file_uri() . "/theme-block-pattern/images/ig3.png\" alt=\"\" class=\"wp-image-81\"/></figure>\n<!-- /wp:image --></figure>\n<!-- /wp:gallery --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}